
Katello - Bug #5770

Created list of GPG keys shows 20 items on screen even with scroll and it makes search operation

failed

05/16/2014 09:09 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1073581 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1073581

Description of problem:

Created list of GPG keys shows 20 items on screen even with scroll and it makes search operation failed

Version-Release number of selected component (if applicable):

sat6 MDP3 snap2

rubygem-katello_api-0.0.8-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

katello-certs-tools-1.5.3-1.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-installer-0.0.25-1.el6sat.noarch

ruby193-rubygem-katello-1.5.0-19.el6sat.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6sat.noarch

katello-1.5.0-17.el6sat.noarch

foreman-1.5.0.7-1.el6sat.noarch

foreman-selinux-1.3.0-1.el6sat.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6sat.noarch

foreman-proxy-1.5.2-1.el6sat.noarch

dhcp201-204.englab.pnq.redhat.com-foreman-client-1.0-1.noarch

rubygem-foreman_api-0.1.11-2.el6sat.noarch

foreman-postgresql-1.5.0.7-1.el6sat.noarch

ruby193-rubygem-foreman-tasks-0.3.4-2.el6sat.noarch

foreman-release-1.5.0-0.develop.201403041318gite44f5c1.el6.noarch

How reproducible:

always

Steps to Reproduce:

1. Created more than 20 search keys (like key1 to key22) and try to see if all keys are listed even after scrolling the page and search

bar is able to search which are not visible.

2.

3.

Actual results:

Unable to see all created gpgkey even after scrolling the page and that makes search operation failed. Currently UI list just 20 keys.

Expected results:

All created keys should be listed there on UI and search operation on any of created keys should be successful.

Additional info:

History
https://bugzilla.redhat.com/show_bug.cgi?id=1073581


#1 - 05/16/2014 09:10 PM - Brad Buckingham

- Assignee set to Partha Aji

- Triaged set to Yes

#2 - 06/06/2014 06:06 PM - Partha Aji

- Status changed from New to Closed

#3 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
